Subject: Re: [PATCH RFC3 09/13] send-email: Remove horrible mix of tabs and spaces

From: Andreas Ericsson <[email-masked]>
Date: Tue, 14 Apr 2009 07:31:05 +0200

Michael Witten wrote:
> On Mon, Apr 13, 2009 at 15:55, Junio C Hamano <[email-masked]> wrote:
>> Michael Witten <[email-masked]> writes:
>>
>>> Currently, no lines match the following:
>>>
>>>     [\t]+[ ]+
>>>     [ ]+[\t]+
>> I understand the latter but what's wrong with the former?  The width of a
>> HT is by definition 8 columns throughout the git codebase.
> 
> Ah, well, the width of a HT has been a free variable in my
> calculations; I was operating under the assumption that whitespace
> used for indentation can float freely according to the user's
> settings. A few of the lines were aligning function arguments via tabs
> and a few extra spaces, which is not reliable in my model.
> 
> Frankly, I don't like tabs and spaces sharing the same contiguous
> block. I don't like it all. ;-B

Using tabs to align stuff to indentation level and spaces to align
line continuation is the only possible way to let users choose
whichever indentation depth they want while preserving the continuation
alignment. What's not to like about that? Especially if you think a
horizontal tab can be any size at all, you should be all agog.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.